Bug 47256

Summary: Enable SSL on a per-port basis
Product: Apache httpd-2 Reporter: Gordon Hopper <ghopper>
Component: mod_sslAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: enhancement CC: mail
Priority: P2 Keywords: MassUpdate, PatchAvailable
Version: 2.2.11   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: Add port number option to SSLEngine configuration directive

Description Gordon Hopper 2009-05-23 07:54:18 UTC
Created attachment 23708 [details]
Add port number option to SSLEngine configuration directive

This patch allows a single virtualhost entry to serve both SSL and non-SSL requests.  This is useful in a mass hosting environment.  Note that each SSL certificate still requires a dedicated ip address/port.

Consider the following configuration:

<VirtualHost 10.0.0.1:80 10.0.0.1:443>
	ServerName one.example.com
	DocumentRoot one
	SSLEngine 443
	SSLCertificateFile    ssl-cert-one.pem
	SSLCertificateKeyFile ssl-cert-one.key
</VirtualHost>

<VirtualHost 10.0.0.2:80 10.0.0.2:443>
	ServerName two.example.com
	DocumentRoot two
	SSLEngine 443
	SSLCertificateFile    ssl-cert-two.pem
	SSLCertificateKeyFile ssl-cert-two.key
</VirtualHost>

Without this patch, this setup would require twice the number of virtualhost entries.
Comment 1 Dan Poirier 2009-06-10 11:03:54 UTC
mark as enhancement.
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:27 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.